Get current filename

- « COMPersistHelper::__construct

- COMPersistHelper::GetMaxStreamSize »

- PHP Manual
- COMPersistHelper
- Get current filename

# COMPersistHelper::GetCurFileName

(PHP 5, PHP 7, PHP 8)

COMPersistHelper::GetCurFileName — Get current filename

### Description

public COMPersistHelper::GetCurFileName(): string|false

Retrieves the current name of the file associated with the object.

### Parameters

This function has no parameters.

### Return Values

Returns the current name of the file associated with the object.

### Errors/Exceptions

A com_exception is thrown if the associated object does not implement the COM interface IPersistFile, or when calling the IPersistFile::GetCurFile() method failed.